<?php
/*
all possible file-operations bundeled in one single class :)
*/
class action
{
 var $action;
 var $show_explorer;
 var $path;
 
 //schowexplorer sagt aus, ob nach dem ausführen der Operation, die Dateiliste erneut angezeigt werden soll
 function action($action, $show_explorer, $path){
  $this->action = $action;
  $this->show_explorer = $show_explorer;
  $this->path = $path;
 }
}
$actions = array();

$actions['view'] = new action("view", 0, "includes/modules/view.php");
$actions["download"] = new action("download", 0, "includes/modules/download.php");
$actions["copy"] = new action("copy", 1, "includes/modules/copy.php");
$actions["paste"] = new action("paste", 1, "includes/modules/paste.php");
$actions["delete"] = new action("delete", 1, "includes/modules/delete.php");
$actions["rename"] = new action("rename", 0, "includes/modules/rename.php");
$actions["new"] = new action("new", 0, "includes/modules/new.php");
$actions["upload"] = new action("upload", 0, "includes/modules/upload.php");
$actions["htaccess"] = new action("htaccess" , 0, "includes/modules/htaccess.php");
$actions["lock_file"] = new action("lock_file", 1, "includes/modules/lock_file.php");
$actions["edit"] = new action("edit", 0, "includes/modules/edit.php");
$actions["select_mode"] = new action("select_mode", 0, "includes/modules/select_mode.php");
$actions["file_info"] = new action("file_info", 0, "includes/modules/file_history.php");
$actions["stat"] = new action("stat", 0, "includes/modules/stat.php");
$actions["usercp"] = new action("usercp", 0, "includes/modules/usercp.php");
$actions["admin_start"] = new action("admin_start", 0, "includes/admin/admin_start.php");
$actions["admin_config"] = new action("admin_config", 0, "includes//admin/admin_config.php");
$actions["admin_users"] = new action("admin_users", 0, "includes/admin/admin_users.php");
$actions["admin_maintenance"] = new action("admin_maintenance", 0, "includes/admin/admin_maintenance.php");
?>
